package com.infonline.sample.activities;

import android.content.res.Configuration;
import android.os.Bundle;

import com.infonline.sample.App;
import com.infonline.sample.activities.base.BaseActivity;

import de.infonline.lib.IOLDeviceOrientationEvent;

/**
 * Created by Dipl.-Ing. Mike Sebastian Drozd on 09.12.2017.
 * Copyright © 2017 RockAByte GmbH. All rights reserved.
 */

public class MainActivity extends BaseActivity {

    private static final String TAG = "MainActivity";

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
    }

    @Override
    public void onConfigurationChanged(Configuration newConfig) {
        super.onConfigurationChanged(newConfig);
        // Checks the orientation of the screen
        if (newConfig.orientation == Configuration.ORIENTATION_LANDSCAPE) {
            IOLDeviceOrientationEvent orientationEvent = new IOLDeviceOrientationEvent(IOLDeviceOrientationEvent.IOLDeviceOrientationEventType.Changed);
            App.getCurrentSession().logEvent(orientationEvent);
        } else if (newConfig.orientation == Configuration.ORIENTATION_PORTRAIT) {
            IOLDeviceOrientationEvent orientationEvent = new IOLDeviceOrientationEvent(IOLDeviceOrientationEvent.IOLDeviceOrientationEventType.Changed);
            App.getCurrentSession().logEvent(orientationEvent);
        }
    }
}
