package com.infonline.sample.helper;

import android.annotation.SuppressLint;
import android.content.Context;
import android.content.SharedPreferences;
import android.preference.PreferenceManager;

/**
 * Created by Dipl.-Ing. Mike Sebastian Drozd on 11.12.2017.
 * Copyright © 2017 RockAByte GmbH. All rights reserved.
 */

public class PrefHelper {

    public static final String PREF_CURRENT_SESSION_TYPE = "pref_current_session_before_crash";
    public static final String PREF_CURRENT_SESSION_CUSTOMER_DATA = "pref_current_session_customer_data";

    @SuppressLint("ApplySharedPref")
    public static void saveString(Context context, String key, String value) {
        getPreferences(context).edit().putString(key, value).commit();
    }

    public static String getString(Context context, String key) {
        return getPreferences(context).getString(key, "");
    }

    @SuppressLint("ApplySharedPref")
    public static void clearSettings(Context context) {
        getPreferences(context).edit().clear().commit();
    }

    private static SharedPreferences getPreferences(Context context) {
        return PreferenceManager.getDefaultSharedPreferences(context);
    }


}
